[ubuntu/trusty-security] quagga 0.99.22.4-3ubuntu1.4 (Accepted)

Marc Deslauriers marc.deslauriers at canonical.com
Tue Oct 31 18:01:10 UTC 2017


quagga (0.99.22.4-3ubuntu1.4) trusty-security; urgency=medium

  * SECURITY UPDATE: DoS via telnet CLI
    - debian/patches/CVE-2017-5495-1.patch: limit size of vty buffer to
      4096 bytes in lib/command.c, lib/vty.c, lib/vty.h, vtysh/vtysh.c.
    - debian/patches/CVE-2017-5495-2.patch: ensure vty buf is nul
      terminated and wrap puts to it with checks in lib/vty.c.
    - CVE-2017-5495
  * SECURITY UPDATE: DoS via BGP UPDATE messages
    - debian/patches/CVE-2017-16227.patch: fix AS_PATH size calculation for
      long paths in bgpd/bgp_aspath.c.
    - CVE-2017-16227

Date: 2017-10-30 15:15:03.647454+00:00
Changed-By: Marc Deslauriers <marc.deslauriers at canonical.com>
https://launchpad.net/ubuntu/+source/quagga/0.99.22.4-3ubuntu1.4
-------------- next part --------------
Sorry, changesfile not available.


More information about the Trusty-changes mailing list